Bug 1714604 - Puppet certs not getting signed automatically on provisioned host
Summary: Puppet certs not getting signed automatically on provisioned host
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.6.0
Assignee: satellite6-bugs
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-28 12:42 UTC by Nikhil Kathole
Modified: 2019-10-22 14:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Puppet certificates are not getting signed automatically on a provisioned host.
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:46 UTC

Description Nikhil Kathole 2019-05-28 12:42:50 UTC
Description of problem:

Puppet certs not getting signed automatically on provisioned host.


Version-Release number of selected component (if applicable):
Satellite 6.6 snap 4


How reproducible:
always

Steps to Reproduce:
1. Create host with puppet configurations (In my case provisioned on libvirt)
2. Login to provisioned host
3. puppet agent -t
Exiting; no certificate found and waitforcert is disabled

Actual results:
Puppet certs are not signed automatically after provisioning.

Expected results:
Certs should be signed automatically.

Additional info:
Regression.

Comment 8 Ondřej Pražák 2019-09-02 14:14:09 UTC
This is already fixed, could QE verify?

Comment 9 Nikhil Kathole 2019-09-03 05:39:51 UTC
VERIFIED

Version tested:
Satellite 6.6.0 snap 18

Certs signed automatically on provisioned hosts.

Comment 11 errata-xmlrpc 2019-10-22 12:47:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.